Package weka.gui.beans

# Class ChartEvent

java.lang.Object
java.util.EventObject
weka.gui.beans.ChartEvent

All Implemented Interfaces:
  `Serializable`

public class ChartEvent extends EventObject
Event encapsulating info for plotting a data point on the StripChart

Version:
  $Revision: 10216 $
Author:
  Mark Hall
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChartEvent(Object source)`
  Creates a new `ChartEvent` instance.
  `ChartEvent(Object source, Vector<String> legendText, double min, double max, double[] dataPoint, boolean reset)`
  Creates a new `ChartEvent` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double[]`
  `getDataPoint()`
  Get the data point
  `Vector<String>`
  `getLegendText()`
  Get the legend text vector
  `double`
  `getMax()`
  Get the max y value
  `double`
  `getMin()`
  Get the min y value
  `boolean`
  `getReset()`
  get the value of the reset flag
  `void`
  `setDataPoint(double[] dp)`
  Set the data point
  `void`
  `setLegendText(Vector<String> lt)`
  Set the legend text vector
  `void`
  `setMax(double m)`
  Set the max y value
  `void`
  `setMin(double m)`
  Set the min y value
  `void`
  `setReset(boolean reset)`
  Set the reset flag

  ### Methods inherited from class java.util.EventObject

  `getSource, toString`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChartEvent

    public ChartEvent(Object source, Vector<String> legendText, double min, double max, double[] dataPoint, boolean reset)
    Creates a new `ChartEvent` instance.
    Parameters:
      `source` - the source of the event
      `legendText` - a vector of strings to display in the legend
      `min` - minimum y value
      `max` - maximum y value
      `dataPoint` - an array of y values to plot
      `reset` - true if display is to be reset

  - ### ChartEvent

    public ChartEvent(Object source)
    Creates a new `ChartEvent` instance.
    Parameters:
      `source` - the source of the event

- ## Method Details

  - ### getLegendText

    public Vector<String> getLegendText()
    Get the legend text vector
    Returns:
      a `Vector` value

  - ### setLegendText

    public void setLegendText(Vector<String> lt)
    Set the legend text vector
    Parameters:
      `lt` - a `Vector` value

  - ### getMin

    public double getMin()
    Get the min y value
    Returns:
      a `double` value

  - ### setMin

    public void setMin(double m)
    Set the min y value
    Parameters:
      `m` - a `double` value

  - ### getMax

    public double getMax()
    Get the max y value
    Returns:
      a `double` value

  - ### setMax

    public void setMax(double m)
    Set the max y value
    Parameters:
      `m` - a `double` value

  - ### getDataPoint

    public double[] getDataPoint()
    Get the data point
    Returns:
      a `double[]` value

  - ### setDataPoint

    public void setDataPoint(double[] dp)
    Set the data point
    Parameters:
      `dp` - a `double[]` value

  - ### setReset

    public void setReset(boolean reset)
    Set the reset flag
    Parameters:
      `reset` - a `boolean` value

  - ### getReset

    public boolean getReset()
    get the value of the reset flag
    Returns:
      a `boolean` value